import * as _ from 'lodash';
export var TreeviewHelper = {
    findParent: findParent,
    removeItem: removeItem
};
function findParent(x, items) {
    for (var i = 0; i < items.length; i++) {
        var item = items[i];
        if (x === item) {
            return undefined;
        }
        if (item.children) {
            for (var j = 0; j < item.children.length; j++) {
                var child = item.children[j];
                if (x === child) {
                    return item;
                }
                else {
                    var parent_1 = findParent(x, item.children);
                    if (parent_1) {
                        return parent_1;
                    }
                }
            }
        }
    }
    return undefined;
}
function removeItem(x, items) {
    var parent = TreeviewHelper.findParent(x, items);
    if (parent) {
        _.pull(parent.children, x);
        if (parent.children.length === 0) {
            parent.children = undefined;
        }
        else {
            parent.correctChecked();
        }
    }
    else {
        _.pull(items, x);
    }
}
//# sourceMappingURL=treeview-helper.js.map